Skip to content
Start here

Update the Leaked Credential Checks status for a zone.

client.leakedCredentialChecks.create(LeakedCredentialCheckCreateParams { zone_id, enabled } params, RequestOptionsoptions?): LeakedCredentialCheckCreateResponse { enabled }
POST/zones/{zone_id}/leaked-credential-checks

Update the Leaked Credential Checks status for the zone, enabling or disabling the detection. While enabled, the detection populates the cf.waf.credential_check.* fields, which you can reference in custom rules and rate limiting rules to challenge or block requests carrying compromised credentials.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zone WAF WriteAccount WAF Write
ParametersExpand Collapse
params: LeakedCredentialCheckCreateParams { zone_id, enabled }
zone_id: string

Path param: Defines an identifier.

maxLength32
enabled?: boolean

Body param: Determines whether or not Leaked Credential Checks are enabled.

ReturnsExpand Collapse
LeakedCredentialCheckCreateResponse { enabled }

Defines the overall status for Leaked Credential Checks.

enabled?: boolean

Determines whether or not Leaked Credential Checks are enabled.

Update the Leaked Credential Checks status for a zone.

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const leakedCredentialCheck = await client.leakedCredentialChecks.create({
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(leakedCredentialCheck.enabled);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "enabled": true
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "enabled": true
  },
  "success": true
}